[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TField.NewValue

The new value of the field

## Declaration

Source position: db.pas line 432

`public property TField.NewValue : Variant read GetNewValue write SetNewValue;`

## Description

NewValue returns the new value of the field. The FPC implementation of TDataset does not yet support this.

## See also

TField.Value |  | Value of the field as a variant value
TField.CurValue |  | Current value of the field